<!DOCTYPE html>
<html lang="en" th:replace="common/masterpage :: masterpage(~{::link}, ~{::page}, ~{::script})"
      xmlns:th="http://www.thymeleaf.org">
<head>
<title th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).PROPERTY_PROJECT_NAME}}"></title>
<link rel="stylesheet" type="text/css" th:href="@{${T(pt.com.scrumify.helpers.ConstantsHelper).SCRIPT_CALENDAR_CSS}}"></link>
<link rel="stylesheet" type="text/css" th:href="@{${T(pt.com.scrumify.helpers.ConstantsHelper).SCRIPT_CKEDITOR_CSS}}"></link>
</head>
<body>
  <div class="ui main container" th:fragment="page">
    <th:block th:replace="common/fragments/elements :: title(text = #{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_USERSTORIES}}, 
                                                             icon = ${T(pt.com.scrumify.helpers.ConstantsHelper).ICON_USERSTORIES}, 
                                                             url = @{${T(pt.com.scrumify.helpers.ConstantsHelper).MAPPING_USERSTORIES}})" 
                                                             />
    <br />
    <form class="ui form" id="userstories-form" method="post" th:action="@{${T(pt.com.scrumify.helpers.ConstantsHelper).MAPPING_USERSTORIES_SAVE}}" th:object="${userstory}">
      <input type="hidden" th:field="*{id}" />
      <div class="fields">
        <th:block th:replace="common/fragments/input :: text(label = #{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_NAME}}, 
                                                                 field = 'name', 
                                                                 required = true, 
                                                                 maxlength = 120,
                                                                 placeholder = '',
                                                                 columnsize = 'twelve wide'
                                                                 )" />
        <th:block th:replace="common/fragments/input :: dropdownlist(label = #{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_TEAMS}}, 
			                                                         field = 'team', 
			                                                         options = ${teams},
			                                                         optionfield = 'item.name',
			                                                         required = true,
			                                                         columnsize = 'four wide',
                                                                     emptyoption = false
			                                                         )" />
        <div class="field two wide column">
          <label class="ui dividing header" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_STORYPOINTS}}"></label>
          <div class="ui fluid input">
            <select class="ui fluid search dropdown" th:field="*{estimate}">
              <option value="0">0</option>
              <option value="1">1</option>
              <option value="2">2</option>
              <option value="3">3</option>
              <option value="5">5</option>
              <option value="8">8</option>
              <option value="13">13</option>
              <option value="20">20</option>
              <option value="40">40</option>
              <option value="100">100</option>
            </select>
          </div>
        </div>
      </div>
      <div class="fields">
        <th:block th:replace="common/fragments/input :: textarea(label = #{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_DESCRIPTION}}, 
                                                                 field = 'description', 
                                                                 required = false, 
                                                                 maxlength = 80, 
                                                                 placeholder = '',
                                                                 columnsize = 'sixteen wide'
                                                                 )" />
      </div>
      <br />
      <th:block th:replace="common/fragments/form :: actionbuttons(icon1 = ${T(pt.com.scrumify.helpers.ConstantsHelper).ICON_BACK},
                                                                      icon1text = ${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_BACK},
                                                                      icon1url = ${T(pt.com.scrumify.helpers.ConstantsHelper).MAPPING_USERSTORIES},
                                                                      icon2 = ${T(pt.com.scrumify.helpers.ConstantsHelper).ICON_SAVE},
                                                                      icon2text = ${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_SAVE},
                                                                      icon2url = ''
                                                                      )" />
      <input type="hidden" th:name="${_csrf.parameterName}" th:value="${_csrf.token}" />
    </form>
  </div>
  <script th:src="@{${T(pt.com.scrumify.helpers.ConstantsHelper).SCRIPT_CKEDITOR_JS}}"></script>
  <script th:src="@{${T(pt.com.scrumify.helpers.ConstantsHelper).SCRIPT_JQUERY_ADDRESS_JS}}"></script>
  <script th:src="@{${T(pt.com.scrumify.helpers.ConstantsHelper).SCRIPT_USERSTORIES_JS}}"></script>
</body>
</html>